> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragmatiks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Board Summary

> Get board summary with task counts per status.

Returns:
    Board summary with counts and total.



## OpenAPI

````yaml https://api.pragmatiks.io/openapi.json get /agents/tasks/board
openapi: 3.1.0
info:
  title: Pragma API
  version: 0.1.0
servers: []
security: []
paths:
  /agents/tasks/board:
    get:
      tags:
        - tasks
      summary: Board Summary
      description: |-
        Get board summary with task counts per status.

        Returns:
            Board summary with counts and total.
      operationId: tasks-board_summary
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoardSummary'
components:
  schemas:
    BoardSummary:
      properties:
        counts:
          additionalProperties:
            type: integer
          type: object
          title: Counts
        total:
          type: integer
          title: Total
      type: object
      required:
        - counts
        - total
      title: BoardSummary
      description: |-
        Board summary with task counts per status.

        Attributes:
            counts: Mapping of status to task count.
            total: Total number of tasks.

````